Send a team event
curl --request POST \
--url https://app.felan.ai/api/v1/teams/{teamSlug}/webhooks/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_type": "deployment.completed",
"provider": "generic",
"connection_id": "<string>",
"id": "<string>",
"source": "<string>",
"subject": "<string>",
"time": "2023-11-07T05:31:56Z",
"metadata": {},
"data": {}
}
'import requests
url = "https://app.felan.ai/api/v1/teams/{teamSlug}/webhooks/events"
payload = {
"event_type": "deployment.completed",
"provider": "generic",
"connection_id": "<string>",
"id": "<string>",
"source": "<string>",
"subject": "<string>",
"time": "2023-11-07T05:31:56Z",
"metadata": {},
"data": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_type: 'deployment.completed',
provider: 'generic',
connection_id: '<string>',
id: '<string>',
source: '<string>',
subject: '<string>',
time: '2023-11-07T05:31:56Z',
metadata: {},
data: {}
})
};
fetch('https://app.felan.ai/api/v1/teams/{teamSlug}/webhooks/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accepted": true,
"dispatched": [
{
"automationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotencyKey": "<string>",
"triggerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"reason": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Events
Send a team event
Normalizes the event and dispatches active team automations whose provider, event type, connection, and filters match.
POST
/
teams
/
{teamSlug}
/
webhooks
/
events
Send a team event
Authorizations
Team API key. Current keys retain the bzy_team_ compatibility prefix.
Path Parameters
Felan team slug shown in dashboard URLs and Team Settings
Minimum string length:
1Body
application/json
Response
Event processed
Show child attributes
Show child attributes
⌘I
